%define oname ktp-common-internals
%define major 9

Summary:	KDE Telepathy Parts
Name:		telepathy-kde-common-internals
Version:	17.08.2
Release:	1
License:	LGPLv2.1+
Group:		Graphical desktop/KDE
Url:		https://projects.kde.org/projects/extragear/network/telepathy/ktp-common-internals
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{oname}-%{version}.tar.xz
BuildRequires:	doxygen
BuildRequires:	extra-cmake-modules
BuildRequires:	kaccounts-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5kcmutils-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5notifications-devel
BuildRequires:	kf5notifyconfig-devel
BuildRequires:	kf5parts-devel
BuildRequires:	kf5people-devel
BuildRequires:	kf5texteditor-devel
BuildRequires:	kf5wallet-devel
BuildRequires:	kf5widgetsaddons-devel
BuildRequires:	kf5windowsystem-devel
BuildRequires:	telepathy-logger-qt5-devel
BuildRequires:	pkgconfig(accounts-qt5)
BuildRequires:	pkgconfig(libgcrypt)
BuildRequires:	pkgconfig(libotr)
BuildRequires:	pkgconfig(libsignon-qt5)
BuildRequires:	pkgconfig(mission-control-plugins)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(TelepathyQt5)
Requires:	kaccounts-integration
Requires:	kaccounts-providers
Requires:	telepathy-accounts-signon
Requires:	telepathy-logger
Conflicts:	telepathy-kde-common-internals-core < 16.08.2
Conflicts:	telepathy-kde-kpeople < 16.08.2
Obsoletes:	telepathy-kde-common-internals-core < 16.08.2
Obsoletes:	telepathy-kde-kpeople < 16.08.2

%description
This package provides the commons part used by telepathy-kde.

%files -f %{name}.lang
%{_kde5_datadir}/config.kcfg/ktp-proxy-config.kcfg
%{_kde5_datadir}/katepart5/syntax/ktpdebugoutput.xml
%{_kde5_datadir}/telepathy/clients/KTp.Proxy.client
%{_kde5_iconsdir}/hicolor/*/*/*
%{_kde5_libexecdir}/ktp-proxy
%{_kde5_notificationsdir}/ktelepathy.notifyrc
%{_kde5_services}/ktploggerplugin_tplogger.desktop
%{_kde5_servicetypes}/ktp_logger_plugin.desktop
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.KTp.Proxy.service
%{_qt5_plugindir}/kaccounts/daemonplugins/kaccounts_ktp_plugin.so
%{_qt5_plugindir}/kpeople/actions/ktp_kpeople_plugin.so
%{_qt5_plugindir}/kpeople/datasource/im_persons_data_source_plugin.so
%{_qt5_plugindir}/kpeople/widgets/imdetailswidgetplugin.so
%{_qt5_plugindir}/kpeople/widgets/kpeople_chat_plugin.so
%{_qt5_plugindir}/ktploggerplugin_tplogger.so

#----------------------------------------------------------------------------

%define libktpcommoninternals %mklibname ktpcommoninternals %{major}

%package -n %{libktpcommoninternals}
Summary:	Runtime library for %{name}
Group:		System/Libraries
Requires:	telepathy-kde-qml

%description -n %{libktpcommoninternals}
Runtime library for %{name}.

%files -n %{libktpcommoninternals}
%{_kde5_libdir}/libKTpCommonInternals.so.%{major}
%{_kde5_libdir}/libKTpCommonInternals.so.%{version}

#----------------------------------------------------------------------------

%define libktplogger %mklibname ktplogger %{major}

%package -n %{libktplogger}
Summary:	Runtime library for %{name}
Group:		System/Libraries

%description -n %{libktplogger}
Runtime library for %{name}.

%files -n %{libktplogger}
%{_kde5_libdir}/libKTpLogger.so.%{major}
%{_kde5_libdir}/libKTpLogger.so.%{version}

#----------------------------------------------------------------------------

%define libktpmodels %mklibname ktpmodels %{major}

%package -n %{libktpmodels}
Summary:	Runtime library for %{name}
Group:		System/Libraries

%description -n %{libktpmodels}
Runtime library for %{name}.

%files -n %{libktpmodels}
%{_kde5_libdir}/libKTpModels.so.%{major}
%{_kde5_libdir}/libKTpModels.so.%{version}

#----------------------------------------------------------------------------

%define libktpotr %mklibname ktpotr %{major}

%package -n %{libktpotr}
Summary:	Runtime library for %{name}
Group:		System/Libraries

%description -n %{libktpotr}
Runtime library for %{name}.

%files -n %{libktpotr}
%{_kde5_libdir}/libKTpOTR.so.%{major}
%{_kde5_libdir}/libKTpOTR.so.%{version}

#----------------------------------------------------------------------------

%define libktpwidgets %mklibname ktpwidgets %{major}

%package -n %{libktpwidgets}
Summary:	Runtime library for %{name}
Group:		System/Libraries

%description -n %{libktpwidgets}
Runtime library for %{name}.

%files -n %{libktpwidgets}
%{_kde5_libdir}/libKTpWidgets.so.%{major}
%{_kde5_libdir}/libKTpWidgets.so.%{version}

#----------------------------------------------------------------------------

%define qmlname %mklibname telepathy-kde-qml

%package -n %{qmlname}
Summary:	QML plugin for %{name}
Group:		System/Libraries
Provides:	telepathy-kde-qml = %{EVRD}

%description -n %{qmlname}
QML plugin for %{name}.

%files -n %{qmlname}
%dir %{_kde5_qmldir}/org/kde/telepathy/
%{_kde5_qmldir}/org/kde/telepathy/*

#----------------------------------------------------------------------------

%define devname %mklibname %{name} -d

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/KDE and Qt
Requires:	%{libktpcommoninternals} = %{EVRD}
Requires:	%{libktplogger} = %{EVRD}
Requires:	%{libktpmodels} = %{EVRD}
Requires:	%{libktpotr} = %{EVRD}
Requires:	%{libktpwidgets} = %{EVRD}
Requires:	telepathy-logger-qt5-devel
Requires:	pkgconfig(TelepathyQt5)
Provides:	ktp-devel = %{version}
Provides:	%{name}-devel = %{EVRD}
Provides:	%{oname}-devel = %{EVRD}

%description -n %{devname}
Development files for %{name}.

%files -n %{devname}
%{_kde5_includedir}/KTp/
%{_kde5_libdir}/cmake/KTp/
%{_kde5_libdir}/libKTpCommonInternals.so
%{_kde5_libdir}/libKTpLogger.so
%{_kde5_libdir}/libKTpModels.so
%{_kde5_libdir}/libKTpOTR.so
%{_kde5_libdir}/libKTpWidgets.so
%{_kde5_bindir}/ktp-debugger

#------------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang ktp-debugger ktp-common-internals %{name}.lang

%changelog

* Tue Oct 31 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.08.2-1
- (fcd2ba7) New version 17.08.2


